/*
 * Copyright (c) 2008-2011 Yuri Bushmelev <jay4mail@gmail.com>
 * Copyright (C) 1989-95 GROUPE BULL
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * GROUPE BULL BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
 * AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * Except as contained in this notice, the name of GROUPE BULL shall not be
 * used in advertising or otherwise to promote the sale, use or other dealings
 * in this Software without prior written authorization from GROUPE BULL.
 */

/*****************************************************************************\
* rgbtab.h                                                                    *
*                                                                             *
* A hard coded rgb.txt. To keep it short I removed all colornames with        *
* trailing numbers, Blue3 etc, except the GrayXX. Sorry Grey-lovers I prefer  *
* Gray ;-). But Grey is recognized on lookups, only on save Gray will be      *
* used, maybe you want to do some substitue there too.                        *
*                                                                             *
* To save memory the RGBs are coded in one long value, as done by the RGB     *
* macro.                                                                      *
*                                                                             *
* Developed by HeDu 3/94 (hedu@cul-ipn.uni-kiel.de)                           *
\*****************************************************************************/

#ifndef _HAVE_RGBTAB_H
#define _HAVE_RGBTAB_H

#include "rgb.h"

/* NOTE: Keep array sorted by name! Binary search is used. */
kx_named_color color_names[] = {
    {"aliceblue", comp2rgba(240, 248, 255, 0)},
    {"antiquewhite", comp2rgba(250, 235, 215, 0)},
    {"aquamarine", comp2rgba(50, 191, 193, 0)},
    {"azure", comp2rgba(240, 255, 255, 0)},
    {"beige", comp2rgba(245, 245, 220, 0)},
    {"bisque", comp2rgba(255, 228, 196, 0)},
    {"black", comp2rgba(0, 0, 0, 0)},
    {"blanchedalmond", comp2rgba(255, 235, 205, 0)},
    {"blue", comp2rgba(0, 0, 255, 0)},
    {"blueviolet", comp2rgba(138, 43, 226, 0)},
    {"brown", comp2rgba(165, 42, 42, 0)},
    {"burlywood", comp2rgba(222, 184, 135, 0)},
    {"cadetblue", comp2rgba(95, 146, 158, 0)},
    {"chartreuse", comp2rgba(127, 255, 0, 0)},
    {"chocolate", comp2rgba(210, 105, 30, 0)},
    {"coral", comp2rgba(255, 114, 86, 0)},
    {"cornflowerblue", comp2rgba(34, 34, 152, 0)},
    {"cornsilk", comp2rgba(255, 248, 220, 0)},
    {"cyan", comp2rgba(0, 255, 255, 0)},
    {"darkgoldenrod", comp2rgba(184, 134, 11, 0)},
    {"darkgreen", comp2rgba(0, 86, 45, 0)},
    {"darkkhaki", comp2rgba(189, 183, 107, 0)},
    {"darkolivegreen", comp2rgba(85, 86, 47, 0)},
    {"darkorange", comp2rgba(255, 140, 0, 0)},
    {"darkorchid", comp2rgba(139, 32, 139, 0)},
    {"darksalmon", comp2rgba(233, 150, 122, 0)},
    {"darkseagreen", comp2rgba(143, 188, 143, 0)},
    {"darkslateblue", comp2rgba(56, 75, 102, 0)},
    {"darkslategray", comp2rgba(47, 79, 79, 0)},
    {"darkturquoise", comp2rgba(0, 166, 166, 0)},
    {"darkviolet", comp2rgba(148, 0, 211, 0)},
    {"deeppink", comp2rgba(255, 20, 147, 0)},
    {"deepskyblue", comp2rgba(0, 191, 255, 0)},
    {"dimgray", comp2rgba(84, 84, 84, 0)},
    {"dodgerblue", comp2rgba(30, 144, 255, 0)},
    {"firebrick", comp2rgba(142, 35, 35, 0)},
    {"floralwhite", comp2rgba(255, 250, 240, 0)},
    {"forestgreen", comp2rgba(80, 159, 105, 0)},
    {"gainsboro", comp2rgba(220, 220, 220, 0)},
    {"ghostwhite", comp2rgba(248, 248, 255, 0)},
    {"gold", comp2rgba(218, 170, 0, 0)},
    {"goldenrod", comp2rgba(239, 223, 132, 0)},
    {"gray", comp2rgba(126, 126, 126, 0)},
    {"gray0", comp2rgba(0, 0, 0, 0)},
    {"gray1", comp2rgba(3, 3, 3, 0)},
    {"gray10", comp2rgba(26, 26, 26, 0)},
    {"gray100", comp2rgba(255, 255, 255, 0)},
    {"gray11", comp2rgba(28, 28, 28, 0)},
    {"gray12", comp2rgba(31, 31, 31, 0)},
    {"gray13", comp2rgba(33, 33, 33, 0)},
    {"gray14", comp2rgba(36, 36, 36, 0)},
    {"gray15", comp2rgba(38, 38, 38, 0)},
    {"gray16", comp2rgba(41, 41, 41, 0)},
    {"gray17", comp2rgba(43, 43, 43, 0)},
    {"gray18", comp2rgba(46, 46, 46, 0)},
    {"gray19", comp2rgba(48, 48, 48, 0)},
    {"gray2", comp2rgba(5, 5, 5, 0)},
    {"gray20", comp2rgba(51, 51, 51, 0)},
    {"gray21", comp2rgba(54, 54, 54, 0)},
    {"gray22", comp2rgba(56, 56, 56, 0)},
    {"gray23", comp2rgba(59, 59, 59, 0)},
    {"gray24", comp2rgba(61, 61, 61, 0)},
    {"gray25", comp2rgba(64, 64, 64, 0)},
    {"gray26", comp2rgba(66, 66, 66, 0)},
    {"gray27", comp2rgba(69, 69, 69, 0)},
    {"gray28", comp2rgba(71, 71, 71, 0)},
    {"gray29", comp2rgba(74, 74, 74, 0)},
    {"gray3", comp2rgba(8, 8, 8, 0)},
    {"gray30", comp2rgba(77, 77, 77, 0)},
    {"gray31", comp2rgba(79, 79, 79, 0)},
    {"gray32", comp2rgba(82, 82, 82, 0)},
    {"gray33", comp2rgba(84, 84, 84, 0)},
    {"gray34", comp2rgba(87, 87, 87, 0)},
    {"gray35", comp2rgba(89, 89, 89, 0)},
    {"gray36", comp2rgba(92, 92, 92, 0)},
    {"gray37", comp2rgba(94, 94, 94, 0)},
    {"gray38", comp2rgba(97, 97, 97, 0)},
    {"gray39", comp2rgba(99, 99, 99, 0)},
    {"gray4", comp2rgba(10, 10, 10, 0)},
    {"gray40", comp2rgba(102, 102, 102, 0)},
    {"gray41", comp2rgba(105, 105, 105, 0)},
    {"gray42", comp2rgba(107, 107, 107, 0)},
    {"gray43", comp2rgba(110, 110, 110, 0)},
    {"gray44", comp2rgba(112, 112, 112, 0)},
    {"gray45", comp2rgba(115, 115, 115, 0)},
    {"gray46", comp2rgba(117, 117, 117, 0)},
    {"gray47", comp2rgba(120, 120, 120, 0)},
    {"gray48", comp2rgba(122, 122, 122, 0)},
    {"gray49", comp2rgba(125, 125, 125, 0)},
    {"gray5", comp2rgba(13, 13, 13, 0)},
    {"gray50", comp2rgba(127, 127, 127, 0)},
    {"gray51", comp2rgba(130, 130, 130, 0)},
    {"gray52", comp2rgba(133, 133, 133, 0)},
    {"gray53", comp2rgba(135, 135, 135, 0)},
    {"gray54", comp2rgba(138, 138, 138, 0)},
    {"gray55", comp2rgba(140, 140, 140, 0)},
    {"gray56", comp2rgba(143, 143, 143, 0)},
    {"gray57", comp2rgba(145, 145, 145, 0)},
    {"gray58", comp2rgba(148, 148, 148, 0)},
    {"gray59", comp2rgba(150, 150, 150, 0)},
    {"gray6", comp2rgba(15, 15, 15, 0)},
    {"gray60", comp2rgba(153, 153, 153, 0)},
    {"gray61", comp2rgba(156, 156, 156, 0)},
    {"gray62", comp2rgba(158, 158, 158, 0)},
    {"gray63", comp2rgba(161, 161, 161, 0)},
    {"gray64", comp2rgba(163, 163, 163, 0)},
    {"gray65", comp2rgba(166, 166, 166, 0)},
    {"gray66", comp2rgba(168, 168, 168, 0)},
    {"gray67", comp2rgba(171, 171, 171, 0)},
    {"gray68", comp2rgba(173, 173, 173, 0)},
    {"gray69", comp2rgba(176, 176, 176, 0)},
    {"gray7", comp2rgba(18, 18, 18, 0)},
    {"gray70", comp2rgba(179, 179, 179, 0)},
    {"gray71", comp2rgba(181, 181, 181, 0)},
    {"gray72", comp2rgba(184, 184, 184, 0)},
    {"gray73", comp2rgba(186, 186, 186, 0)},
    {"gray74", comp2rgba(189, 189, 189, 0)},
    {"gray75", comp2rgba(191, 191, 191, 0)},
    {"gray76", comp2rgba(194, 194, 194, 0)},
    {"gray77", comp2rgba(196, 196, 196, 0)},
    {"gray78", comp2rgba(199, 199, 199, 0)},
    {"gray79", comp2rgba(201, 201, 201, 0)},
    {"gray8", comp2rgba(20, 20, 20, 0)},
    {"gray80", comp2rgba(204, 204, 204, 0)},
    {"gray81", comp2rgba(207, 207, 207, 0)},
    {"gray82", comp2rgba(209, 209, 209, 0)},
    {"gray83", comp2rgba(212, 212, 212, 0)},
    {"gray84", comp2rgba(214, 214, 214, 0)},
    {"gray85", comp2rgba(217, 217, 217, 0)},
    {"gray86", comp2rgba(219, 219, 219, 0)},
    {"gray87", comp2rgba(222, 222, 222, 0)},
    {"gray88", comp2rgba(224, 224, 224, 0)},
    {"gray89", comp2rgba(227, 227, 227, 0)},
    {"gray9", comp2rgba(23, 23, 23, 0)},
    {"gray90", comp2rgba(229, 229, 229, 0)},
    {"gray91", comp2rgba(232, 232, 232, 0)},
    {"gray92", comp2rgba(235, 235, 235, 0)},
    {"gray93", comp2rgba(237, 237, 237, 0)},
    {"gray94", comp2rgba(240, 240, 240, 0)},
    {"gray95", comp2rgba(242, 242, 242, 0)},
    {"gray96", comp2rgba(245, 245, 245, 0)},
    {"gray97", comp2rgba(247, 247, 247, 0)},
    {"gray98", comp2rgba(250, 250, 250, 0)},
    {"gray99", comp2rgba(252, 252, 252, 0)},
    {"green", comp2rgba(0, 255, 0, 0)},
    {"greenyellow", comp2rgba(173, 255, 47, 0)},
    {"honeydew", comp2rgba(240, 255, 240, 0)},
    {"hotpink", comp2rgba(255, 105, 180, 0)},
    {"indianred", comp2rgba(107, 57, 57, 0)},
    {"ivory", comp2rgba(255, 255, 240, 0)},
    {"khaki", comp2rgba(179, 179, 126, 0)},
    {"lavender", comp2rgba(230, 230, 250, 0)},
    {"lavenderblush", comp2rgba(255, 240, 245, 0)},
    {"lawngreen", comp2rgba(124, 252, 0, 0)},
    {"lemonchiffon", comp2rgba(255, 250, 205, 0)},
    {"lightblue", comp2rgba(176, 226, 255, 0)},
    {"lightcoral", comp2rgba(240, 128, 128, 0)},
    {"lightcyan", comp2rgba(224, 255, 255, 0)},
    {"lightgoldenrod", comp2rgba(238, 221, 130, 0)},
    {"lightgoldenrodyellow", comp2rgba(250, 250, 210, 0)},
    {"lightgray", comp2rgba(168, 168, 168, 0)},
    {"lightpink", comp2rgba(255, 182, 193, 0)},
    {"lightsalmon", comp2rgba(255, 160, 122, 0)},
    {"lightseagreen", comp2rgba(32, 178, 170, 0)},
    {"lightskyblue", comp2rgba(135, 206, 250, 0)},
    {"lightslateblue", comp2rgba(132, 112, 255, 0)},
    {"lightslategray", comp2rgba(119, 136, 153, 0)},
    {"lightsteelblue", comp2rgba(124, 152, 211, 0)},
    {"lightyellow", comp2rgba(255, 255, 224, 0)},
    {"limegreen", comp2rgba(0, 175, 20, 0)},
    {"linen", comp2rgba(250, 240, 230, 0)},
    {"magenta", comp2rgba(255, 0, 255, 0)},
    {"maroon", comp2rgba(143, 0, 82, 0)},
    {"mediumaquamarine", comp2rgba(0, 147, 143, 0)},
    {"mediumblue", comp2rgba(50, 50, 204, 0)},
    {"mediumforestgreen", comp2rgba(50, 129, 75, 0)},
    {"mediumgoldenrod", comp2rgba(209, 193, 102, 0)},
    {"mediumorchid", comp2rgba(189, 82, 189, 0)},
    {"mediumpurple", comp2rgba(147, 112, 219, 0)},
    {"mediumseagreen", comp2rgba(52, 119, 102, 0)},
    {"mediumslateblue", comp2rgba(106, 106, 141, 0)},
    {"mediumspringgreen", comp2rgba(35, 142, 35, 0)},
    {"mediumturquoise", comp2rgba(0, 210, 210, 0)},
    {"mediumvioletred", comp2rgba(213, 32, 121, 0)},
    {"midnightblue", comp2rgba(47, 47, 100, 0)},
    {"mintcream", comp2rgba(245, 255, 250, 0)},
    {"mistyrose", comp2rgba(255, 228, 225, 0)},
    {"moccasin", comp2rgba(255, 228, 181, 0)},
    {"navajowhite", comp2rgba(255, 222, 173, 0)},
    {"navy", comp2rgba(35, 35, 117, 0)},
    {"navyblue", comp2rgba(35, 35, 117, 0)},
    {"oldlace", comp2rgba(253, 245, 230, 0)},
    {"olivedrab", comp2rgba(107, 142, 35, 0)},
    {"orange", comp2rgba(255, 135, 0, 0)},
    {"orangered", comp2rgba(255, 69, 0, 0)},
    {"orchid", comp2rgba(239, 132, 239, 0)},
    {"palegoldenrod", comp2rgba(238, 232, 170, 0)},
    {"palegreen", comp2rgba(115, 222, 120, 0)},
    {"paleturquoise", comp2rgba(175, 238, 238, 0)},
    {"palevioletred", comp2rgba(219, 112, 147, 0)},
    {"papayawhip", comp2rgba(255, 239, 213, 0)},
    {"peachpuff", comp2rgba(255, 218, 185, 0)},
    {"peru", comp2rgba(205, 133, 63, 0)},
    {"pink", comp2rgba(255, 181, 197, 0)},
    {"plum", comp2rgba(197, 72, 155, 0)},
    {"powderblue", comp2rgba(176, 224, 230, 0)},
    {"purple", comp2rgba(160, 32, 240, 0)},
    {"red", comp2rgba(255, 0, 0, 0)},
    {"rosybrown", comp2rgba(188, 143, 143, 0)},
    {"royalblue", comp2rgba(65, 105, 225, 0)},
    {"saddlebrown", comp2rgba(139, 69, 19, 0)},
    {"salmon", comp2rgba(233, 150, 122, 0)},
    {"sandybrown", comp2rgba(244, 164, 96, 0)},
    {"seagreen", comp2rgba(82, 149, 132, 0)},
    {"seashell", comp2rgba(255, 245, 238, 0)},
    {"sienna", comp2rgba(150, 82, 45, 0)},
    {"skyblue", comp2rgba(114, 159, 255, 0)},
    {"slateblue", comp2rgba(126, 136, 171, 0)},
    {"slategray", comp2rgba(112, 128, 144, 0)},
    {"snow", comp2rgba(255, 250, 250, 0)},
    {"springgreen", comp2rgba(65, 172, 65, 0)},
    {"steelblue", comp2rgba(84, 112, 170, 0)},
    {"tan", comp2rgba(222, 184, 135, 0)},
    {"thistle", comp2rgba(216, 191, 216, 0)},
    {"tomato", comp2rgba(255, 99, 71, 0)},
    {"transparent", comp2rgba(0, 0, 1, 0)},
    {"turquoise", comp2rgba(25, 204, 223, 0)},
    {"violet", comp2rgba(156, 62, 206, 0)},
    {"violetred", comp2rgba(243, 62, 150, 0)},
    {"wheat", comp2rgba(245, 222, 179, 0)},
    {"white", comp2rgba(255, 255, 255, 0)},
    {"whitesmoke", comp2rgba(245, 245, 245, 0)},
    {"yellow", comp2rgba(255, 255, 0, 0)},
    {"yellowgreen", comp2rgba(50, 216, 56, 0)},
    {NULL, 0}
};

#endif	/* RGBTAB_H */
